﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace Kresleni
{
    public partial class MyPanel : UserControl
    {
        public MyPanel()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            // button1.BackColor = Color.Blue;
            // this.BackColor = Color.Red;

            if (openFileDialog1.ShowDialog() == DialogResult.OK)
            {
                Bitmap b = new Bitmap(openFileDialog1.FileName);
                this.BackgroundImage = b;
            }
        }

        private int X0, Y0;
        private bool stisknuto = false;

        private void MyPanel_MouseDown(object sender, MouseEventArgs e)
        {
            stisknuto = true;
            X0 = e.X;
            Y0 = e.Y;
        }

        private void MyPanel_MouseMove(object sender, MouseEventArgs e)
        {
            if (stisknuto)
            {
                if (e.Button == MouseButtons.Left)
                {
                    int X = Location.X + e.X - X0;
                    int Y = Location.Y + e.Y - Y0;
                    Location = new Point(X, Y);
                }
                else if (e.Button == MouseButtons.Right)
                {
                    int W = Size.Width + e.X - X0;
                    int H = Size.Height + e.Y - Y0;
                    Size = new Size(W, H);
                    X0 = e.X;
                    Y0 = e.Y;
                }
            }
        }

        private void MyPanel_MouseUp(object sender, MouseEventArgs e)
        {
            stisknuto = false;
        }
    }
}
